# Class TCLIService.AsyncProcessor.RenewDelegationToken<I extends TCLIService.AsyncIface>

java.lang.Object
org.apache.thrift.AsyncProcessFunction<I,TCLIService.RenewDelegationToken_args,TRenewDelegationTokenResp>
com.databricks.jdbc.model.client.thrift.generated.TCLIService.AsyncProcessor.RenewDelegationToken<I>

Enclosing class:
  `TCLIService.AsyncProcessor<I extends TCLIService.AsyncIface>`

public static class TCLIService.AsyncProcessor.RenewDelegationToken<I extends TCLIService.AsyncIface> extends org.apache.thrift.AsyncProcessFunction<I,TCLIService.RenewDelegationToken_args,TRenewDelegationTokenResp>

## Constructor Summary

Constructors
Constructor
Description
`RenewDelegationToken()`

## Method Summary

Modifier and Type
Method
Description
`TCLIService.RenewDelegationToken_args`
`getEmptyArgsInstance()`
`org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp>`
`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
`protected boolean`
`isOneway()`
`void`
`start(I iface, TCLIService.RenewDelegationToken_args args, org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> resultHandler)`

### Methods inherited from class org.apache.thrift.AsyncProcessFunction

`getMethodName, sendResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RenewDelegationToken

public RenewDelegationToken()

## Method Details

### getEmptyArgsInstance

public TCLIService.RenewDelegationToken_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,TCLIService.RenewDelegationToken_args,TRenewDelegationTokenResp>`

### getResultHandler

public org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)

Specified by:
  `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,TCLIService.RenewDelegationToken_args,TRenewDelegationTokenResp>`

### isOneway

protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,TCLIService.RenewDelegationToken_args,TRenewDelegationTokenResp>`

### start

public void start(I iface, TCLIService.RenewDelegationToken_args args, org.apache.thrift.async.AsyncMethodCallback<TRenewDelegationTokenResp> resultHandler) throws org.apache.thrift.TException

Specified by:
  `start` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,TCLIService.RenewDelegationToken_args,TRenewDelegationTokenResp>`
Throws:
  `org.apache.thrift.TException`